//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : CHAR LCD
// BOARD    : ZL27ARM (with STM32F103VBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Using LCD character display (HD44780 compatible) in 4-bit mode.
//
//    Settings and connections on ZL27ARM:
//      JP11 (LED) - OFF
//      LCD_1602 connected to LCD socket
//
//******************************************************************************

#include "stm32f10x_lib.h"
#include "board.h"
#include "HD44780.h"

int main(void)
{
	char temp;
	volatile int i;
	
	SystemInit();
	LCD_Initialize();
	
	LCD_GoTo(0,0);
	LCD_WriteText(" -- ZL27ARM -- ZL27ARM --");
	LCD_GoTo(0,1);
	LCD_WriteText(" Kamami Development Board");
	
	do{
		for(temp = 0; temp < 10; temp++) // shift the text to the left
		{
			LCD_ShiftLeft();
			for(i = 0; i < 0x3FFFF; i++);
		}
		for(temp = 0; temp < 10; temp++) // shift the text to the right 
		{
			LCD_ShiftRight();
		  	for(i = 0; i < 0x3FFFF; i++);
		}
	} while(1);
	return 0;
}
//
