//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : KEYS_UART
// BOARD    : ZL27ARM (with STM32F103VBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Send to PC information, when key is pressed.
//
//    Settings and connections on ZL27ARM:
//      JP11 (LED) - OFF
//    
//    Settings on PC terminal program:
//      Baud rate : 9600
//      Data bits : 8
//      Stop bits : 1
//      Parity bit: none
//
//******************************************************************************
#include "stm32f10x_lib.h"
#include "board.h"

int main(void)
{

	SystemInit();

	USART_Configuration();

	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**  ZL27ARM KEYS UART  **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");

	USART_PutString("Press any key on ZL27ARM board\r");

	do{
		if(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED) // is switch pressed?
	    {
	    	USART_PutString("SW0 pressed\r");
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW1 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW2 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW3 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED); // wait for switch release
	    }
	
	}	while(1);

}
