//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : UART
// BOARD    : ZL27ARM (with STM32F103VBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple UART communication demo.
//
//    Settings and connections on ZL27ARM:
//      JP11 (LED) - OFF
//      LCD_1602 connected to LCD socket
//    
//    Settings on PC terminal program:							 `
//      Baud rate : 9600
//      Data bits : 8
//      Stop bits : 1
//      Parity bit: none
//
//******************************************************************************
#include "stm32f10x_lib.h"

int main(void)
{
	char Message[18];
	
	SystemInit();
	USART_Configuration();
	
	LCD_Initialize();
	LCD_GoTo(0,0);
	LCD_WriteText(" ZL27ARM - UART");
	LCD_GoTo(0,1);
	LCD_WriteText(" www.kamami.com");
	
	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**     ZL27ARM  UART   **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");
	
	do{
	  	USART_PutString("->");USART_GetString(Message);
	  	USART_PutString("<-");USART_PutString(Message);
	  	LCD_Clear();
	  	LCD_GoTo(0,0);
	  	LCD_WriteText("Rx:");
	  	LCD_GoTo(0,1);
	  	LCD_WriteText(Message);
	}while(1);
}
